Bug 730705 - ide_cd: Parameter not supported -- (asc=0x26, ascq=0x01)
Summary: ide_cd: Parameter not supported -- (asc=0x26, ascq=0x01)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.7
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Prarit Bhargava
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 13:16 UTC by Petr Beňas
Modified: 2015-01-04 23:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-04 16:52:42 UTC


Attachments (Terms of Use)

Description Petr Beňas 2011-08-15 13:16:09 UTC
Description of problem:
Discovered IDE cdrom errors in dmesg on kernel rpm install. 
Can be reproduced with fdisk or simply with cat.

Version-Release number of selected component (if applicable):
[root@intel-s3e3144-03 ~]# uname -r
2.6.18-277.el5

How reproducible:
100% on intel-s3e3144-03.rhts.eng.nay.redhat.com. Have not tried on different machines with IDE cdrom.

Steps to Reproduce:
1. cat /dev/hdc
  
Actual results:
[root@intel-s3e3144-03 ~]# cat /dev/hdc 
ATAPI device hdc:
  Error: Illegal request -- (Sense key=0x05)
  Parameter not supported -- (asc=0x26, ascq=0x01)
  The failed "Start/Stop Unit" packet command was: 
  "1b 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 "
cat: /dev/hdc: No medium found


Expected results:
[root@intel-s3e3144-03 ~]# cat /dev/hdc 
cat: /dev/hdc: No medium found


Additional info:

Comment 1 Prarit Bhargava 2011-08-17 12:46:23 UTC
(In reply to comment #0)
> Description of problem:
> Discovered IDE cdrom errors in dmesg on kernel rpm install. 
> Can be reproduced with fdisk or simply with cat.
> 
> Version-Release number of selected component (if applicable):
> [root@intel-s3e3144-03 ~]# uname -r
> 2.6.18-277.el5
> 
> How reproducible:
> 100% on intel-s3e3144-03.rhts.eng.nay.redhat.com. Have not tried on different
> machines with IDE cdrom.
> 
> Steps to Reproduce:
> 1. cat /dev/hdc
> 
> Actual results:
> [root@intel-s3e3144-03 ~]# cat /dev/hdc 
> ATAPI device hdc:
>   Error: Illegal request -- (Sense key=0x05)
>   Parameter not supported -- (asc=0x26, ascq=0x01)
>   The failed "Start/Stop Unit" packet command was: 
>   "1b 00 00 00 03 00 00 00 00 00 00 00 00 00 00 00 "
> cat: /dev/hdc: No medium found
> 

Petr, is there actually a physical CDROM in the system?  Or is it virtual?

P.

Comment 2 Petr Beňas 2011-08-17 13:31:49 UTC
It should be a physical device.

[root@intel-s3e3144-03 ~]# dmesg | grep hdc
    ide1: BM-DMA at 0xfc08-0xfc0f, BIOS settings: hdc:DMA, hdd:pio
hdc: SR244W, ATAPI CD/DVD-ROM drive
hdc: ATAPI 24X CD-ROM drive, 128kB Cache, UDMA(33)
ATAPI device hdc:

Comment 3 Prarit Bhargava 2013-11-04 16:52:42 UTC
This Bugzilla has been reviewed by Red Hat and is not planned on being
addressed in Red Hat Enterprise Linux 5, and therefore is being closed.
If this bug is critical to production systems, please contact your Red
Hat support representative and provide a sufficient business justification
in order to re-open it.


Note You need to log in before you can comment on or make changes to this bug.